{
  pkgs,
  inputs,
  ...
}:
{
  imports = [
    ./users
    ./services
    ./hardware.nix
    ./theme.nix
    ./apps.nix
    ./fonts.nix
  ];

  config = {
    boot = {
      initrd.luks.devices.genesis = {
        device = "/dev/disk/by-uuid/cfb6d987-8602-4312-a580-00b3205633ca";
        preLVM = true;
      };

      loader.grub = {
        enable = true;
        device = "nodev";
        efiSupport = true;
        efiInstallAsRemovable = true;
        enableCryptodisk = true;
        memtest86.enable = true;
      };
    };

    nix.settings.cores = 4;

    nixpkgs.overlays = [
      inputs.alqages.overlays.default
    ];

    console = {
      font = "Lat2-Terminus16";
      keyMap = "us";
    };

    services = {
      xserver = {
        enable = true;
        xkb = {
          layout = "us";
          options = "eurosign:e,ctrl:nocaps";
        };

        displayManager.gdm = {
          enable = true;
          wayland = true;
        };

        windowManager.windowmaker.enable = true;
      };

      udev.packages = [
        pkgs.android-udev-rules
      ];

      libinput.enable = true;
      openssh.enable = true;
    };

    hardware.graphics = {
      enable = true;
      enable32Bit = false;
    };

    networking.networkmanager.enable = true;
    time.timeZone = "Europe/London";
    i18n.defaultLocale = "en_US.UTF-8";
    system.stateVersion = "24.11";
  };
}
